<?
include_once("inclydings/gzips.php");
include_once("inclydings/sesi.php");
include_once("mysql.php");

Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/antixak.php");
include_once("inclydings/ini.php");
$_title = 'Lineage2';
include 'inclydings/header.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);
$aden=trim($udata[8]);}
////////////////////////////////////////////////////////

if(empty($go)){$action="index";}


if (isset($user)) {
include_once("inclydings/udata.php");
$gold=stripslashes($gold);
$gold=htmlspecialchars($gold);
$gold=str_replace("\\","",$gold);
$gold=str_replace("/","",$gold);
$gold=str_replace("|","",$gold);
$gold=str_replace("$","",$gold);
$gold=str_replace("&","",$gold);
$gold=str_replace("<","",$gold);
$gold=str_replace(">","",$gold);
//////////////////////////////////
$oper=stripslashes($oper);
$oper=htmlspecialchars($oper);
$oper=str_replace("\\","",$oper);
$oper=str_replace("/","",$oper);
$oper=str_replace("|","",$oper);
$oper=str_replace("$","",$oper);
$oper=str_replace("&","",$oper);
$oper=str_replace("<","",$oper);
$oper=str_replace(">","",$oper);
//////////////////////////////////

$time=time();
$oldtime=time()+86400;

if($action=="index"){
echo "<b>Valkon</b><br/>Только дураки и ослы носят с собой много вещей. Почему бы не доверить своему имущество нашему банку?<br/>
Я, Valkon, клянусь охранять ваше имущество ценой моей жизни, так что подойдите и скажите что именно вы хотите.<br/><br/>";
echo'У вас при себе: <img src="pik4erspic/mini/aden.gif" alt="pic"/> <font color=gold>'.number_format($udata[8]).'</font><br/>';

$data = file("L2dbnam/esql2db/bankis.dat");
$all_bank=count($data);
for ($p=0; $p<$all_bank; $p++) {
$dat_arr = explode("|", $data[$p]);
$summ +=$dat_arr[2]; //общая сумма

}

$lines=file("L2dbnam/esql2db/bankis.dat");
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode("|",$lines[$b]); if ($dt[1]==$log) {$linn=$b; $usersum=$dt[2]; $userdata=$dt[3];}}



if($usersum==""){echo'Здраствуйте, вы новый клиент. Для того чтобы открыть счет, вам надо положить хотя бы 10 <img src="pik4erspic/mini/aden.gif" alt="pic"/><br/>'; $usersum="0";}
echo 'У вас в банке '.number_format($usersum).' <img src="pik4erspic/mini/aden.gif" alt="pic"/>';
$lasttime=round(($userdata-$time)/3600);
if($userdata>=$time){
echo '<br/>До получения процентов с ваших <img src="pik4erspic/mini/aden.gif" alt="pic"/> осталось '.$lasttime.' часов.';
}else{if($usersum>0){echo'<br/><b>Продление счета успешно завершено!</b>';}}

if($userdata!=="" && $time>=$userdata && $usersum>0){

$stavka=12;
if($usersum>=50000){$stavka=6;}
if($usersum>=100000){$stavka=3;}
if($usersum>=500000){$stavka=2;}
if($usersum>=1000000){$stavka=1;}
$newgold3=round((($usersum*$stavka)/100)+$usersum);
$text="|$log|$newgold3|$oldtime";
$text=stripslashes($text);

$file=file("L2dbnam/esql2db/bankis.dat");
$fp=fopen("L2dbnam/esql2db/bankis.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($linn!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);}



echo '<form action="bank.php?go=go&'.$sd.'" method="post">';
echo '<br/><br/><b>Операция:</b>';
echo '<br/><input name="gold"/><br/>';
echo '<select name="oper">';
echo '<option value="1">Снять</option><option value="2">Положить</option>';
echo '</select><br/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';
echo "<br/>";
echo" <a href=\"peredat.php?$sd\">Передать средства</a><br/>";
echo "<br/>";
echo'<br/>Минимальная сумма вклада или остатка счета равна 10 <img src="pik4erspic/mini/aden.gif" alt="pic"/><br/>';

echo'<br/>Всего вкладчиков: '.number_format($all_bank).'';
echo'<br/>Капитал банка: '.number_format($summ).' <img src="pik4erspic/mini/aden.gif" alt="pic"/>';
}

if($go=="go"){
if(ctype_digit($gold) && $gold>=10 && $oper!==""){
//if($oper=="0"){echo'Продление счета<br/>';}
///////////////////////////////////////////////////////////////////
if($oper=="1"){echo'Снятие с счета<br/>';

$lines=file("L2dbnam/esql2db/bankis.dat");
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode("|",$lines[$b]); if ($dt[1]==$log) {$lintus=$b; $goldus=$dt[2];}}
if($goldus!=="" && $goldus>"0"){
$min10gold=$goldus-10;

if($gold<$min10gold){

$newgold4=$udata[8]+$gold;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$newgold4.':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$newgold4.':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$newgold5=$goldus-$gold;
$text="|$log|$newgold5|$oldtime";
$text=stripslashes($text);

$file=file("L2dbnam/esql2db/bankis.dat");
$fp=fopen("L2dbnam/esql2db/bankis.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($lintus!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

echo'<img src="pik4erspic/mini/aden.gif" alt="pic"/> успешно перечислены вам на личный счет!<br/>';






}else{echo'Вы не можете столько снять, т.к. в банке должно остаться хоть 10 <img src="pik4erspic/mini/aden.gif" alt="pic"/>';}//if($gold<$min10gold)
}else{echo'Вы не можете снять <img src="pik4erspic/mini/aden.gif" alt="pic"/>, так как на вашем счете нету <img src="pik4erspic/mini/aden.gif" alt="pic"/>';} //if($goldus!=="" && $goldus>"0")
}
//////////////////////////////

if($oper=="2"){echo' Пополнение счета<br/>';

if($gold<=$udata[8]){

$newgold=$aden-$gold;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$newgold.':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$newgold.':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
///////////////////
$nook="yes";
$lines=file("L2dbnam/esql2db/bankis.dat");
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode("|",$lines[$b]); if ($dt[1]==$log) {$ok=$b; $mann=$dt[2]; $nook="no";}}

$newgold2=$mann+$gold;
$text="|$log|$newgold2|$oldtime";
$text=stripslashes($text);



if($nook=="no"){
$file=file("L2dbnam/esql2db/bankis.dat");
$fp=fopen("L2dbnam/esql2db/bankis.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($ok!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);}
if($nook=="yes"){
$fp=fopen("L2dbnam/esql2db/bankis.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);}

echo'Сумма в размере <b>'.$gold.'</b> <img src="pik4erspic/mini/aden.gif" alt="pic"/> успешно зачислена на ваш счет<br/>';
echo' Остаток счета: '.$newgold.' <img src="pik4erspic/mini/aden.gif" alt="pic"/><br/>';
echo' Получить проценты с вклада вы сможете не ранее чем через 24 часа.<br/>';


}else{echo'У вас столько нет на счету <img src="pik4erspic/mini/aden.gif" alt="pic"/><br/>';}
} //if($oper=="2")




}else{echo' Операции менее чем с 10 <img src="pik4erspic/mini/aden.gif" alt="pic"/> не проводятся<br/>';}
echo'"<br/><a href=\"bank.php?$sd\">Назад</a>";
}



}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once("inclydings/down.php");
?>